OpenTTD Source: SlGameLanguageString Class Reference

OpenTTD Source 12.0-beta1

Public Member Functions | Static Public Attributes
SlGameLanguageString Class Reference
Inheritance diagram for SlGameLanguageString:

## Public Member Functions
void | Save (LanguageStrings *ls) const override
void | Load (LanguageStrings *ls) const override
Public Member Functions inherited from DefaultSaveLoadHandler< SlGameLanguageString, LanguageStrings >
SaveLoadTable | GetDescription () const override
| Get the description of the fields in the savegame.
SaveLoadCompatTable | GetCompatDescription () const override
| Get the pre-header description of the fields in the savegame.
void | Save (void *object) const override
| Save the object to disk. More...
void | Load (void *object) const override
| Load the object from disk. More...
virtual void | LoadCheck (LanguageStrings *object) const
void | LoadCheck (void *object) const override
| Similar to load, but used only to validate savegames. More...
virtual void | FixPointers (LanguageStrings *object) const
void | FixPointers (void *object) const override
| A post-load callback to fix SL_REF integers into pointers. More...
Public Member Functions inherited from SaveLoadHandler
virtual SaveLoadTable | GetDescription () const =0
| Get the description of the fields in the savegame.
virtual SaveLoadCompatTable | GetCompatDescription () const =0
| Get the pre-header description of the fields in the savegame.
SaveLoadTable | GetLoadDescription () const
| Get the description for how to load the chunk. More...

## Static Public Attributes
static const SaveLoad | description []
const static SaveLoadCompatTable | compat_description = _game_language_string_sl_compat

## Additional Inherited Members
Data Fields inherited from SaveLoadHandler
std::optional< std::vector< SaveLoad > > | load_description

## Detailed Description

Definition at line 125 of file game_sl.cpp.

## Field Documentation

## ◆ description

const SaveLoad SlGameLanguageString::description[]
| inlinestatic

Initial value:
= {
SLEG_SSTR("string", _game_saveload_string, SLE_STR | SLF_ALLOW_CONTROL),
}

Definition at line 127 of file game_sl.cpp.

The documentation for this class was generated from the following file:

- src/saveload/game_sl.cpp

SLE_STR
#define SLE_STR(base, variable, type, length)
Storage of a string in every savegame version.
Definition: saveload.h:797
SLF_ALLOW_CONTROL
@ SLF_ALLOW_CONTROL
Allow control codes in the strings.
Definition: saveload.h:624
SLEG_SSTR
#define SLEG_SSTR(name, variable, type)
Storage of a global std::string in every savegame version.
Definition: saveload.h:968